/**
 * A simple object that runs a thread.
 * 
 * Defining the object as implementing the runnable interface sets it up to 
 * be run as a thread.
 * 
 * Simon Parsons
 * 4th November 2012
 *
 */
class ThreadOne implements Runnable{
	
	private Thread myThread;
	
	// The constructor sets up the thread which will then call
	// run().
	public ThreadOne(){
		myThread = new Thread(this);
		myThread.start();
	}
	
	// This run() includes a call to sleep() to make the thread take
	// a one second break between println()s.
	//
	// Since we have a sleep(), we need to allow for an interrupt 
	// exception. We handle this by ignoring it.
	public void run(){
		while(true){
			System.out.println("One!");
			try{
				myThread.sleep(1000);
			}
			catch(InterruptedException e){
				// Guess we won't get to sleep after all
			}
		}
	}
}	